      integer   nquad, ncol_q, ncol_c, nrow, ncol, nhot, npar,
     &          nhot_disc, iter, niter, nfr, nnp, maxhot, maxdsc,
     &          mode, y_shift
      real      eps_it, temp, pi, rkb, sigmax, vth, rnc, et, en,
     &          ap, bp, cp, tzyk, tphi1, tsonst, t, phi_factor,
     &          t_frame,
     &          y_timing,scale
      real      fact1,fact2,fact3,fact4,fact5,sq

C     real*4    amp(160),cor(160)
C
C            PARAMETER DESCRIPTIONS
C

C number of quadrants
      parameter(nquad=4)

C number of columns in one quadrant
      parameter(ncol_q=192)

C number of columns in one chip
      parameter(ncol_c=ncol_q/3)

C number of rows in one column
      parameter(nrow=200)

C total number of columns in all quadrants
      parameter(ncol=nquad*ncol_q)

C maximum number of hot (bright) pixels
      parameter(maxhot=1000)

C number of the CTE model parameters
      parameter(npar=3)

C maximum number of hot pixels to be discarded
      parameter (maxdsc = 1000 )

C flag telling whether iteration to be applied (iter=0) or not (1)
      parameter(iter=1)

C number of maximum allowed iteration and the convergence criterion
      parameter(niter=5,eps_it=1e-2)

C maximum number of frames to account for precurcors
      parameter(nfr=10)

C (Apr.2001)
C       ARRAY DESCRIPTIONS
C

C column has calibration data (iflag=1) or does not (0)
      integer iflpar(ncol)

C column has a bright pixel (.ne.0) or does not (0)
      integer iflhot(ncol)

C number of pixels neighbouring to a bright one and to be accounted for
      integer nhot_nbr(ncol)

C charge loss in the bright pixel
      real ehot(ncol),ehot1(ncol)

C coordinates of pixels to be discarded
      integer ihot(ncol,nrow)

C CTE model parameters from the calibration data fits
      real par_cte(ncol,npar)

C array of CTE model parameters of a given column
      real par(npar)

C array of y-coordinates (rows) of pixels with photons of a given column
      integer ipxl(nrow)

C array of uncorrected numbers of electron detected in pixels of the column
      real elec_un(nrow)

C array of corrected numbers of electron detected in pixels of the column
      real elec_cor(nrow)

C flags whether there are precursors (=1) in column or not (=0)
      integer iflpr(ncol)

C arrays of frame numbers
      integer iprf(ncol,nrow),ifp(nrow)
      real  rprf(ncol,nrow),rfp(nrow)

C arrays of precursors' coordinates
      integer ipry(ncol,nrow),iyp(nrow)

C arrays of captured electron in pixels
      real prel(ncol,nrow),pre(nrow)

      real rad(768,2,25),gau(768,2,25)
      common /two_arrays/ rad,gau
      common /index2/ icol


C
C
C constants for the CTE model
C
      common /model_par/ temp,pi,rkb,sigmax,vth,rnc,et,en,
     &                   ap,bp,cp,tzyk,tphi1,tsonst,
     &                   t,phi_factor,t_frame,nhot,nhot_disc,mode,nnp

C-SZ
      common /factors/ fact1,fact2,fact3,fact4,fact5
C
C-UL
C-UL  the following declarations have been added to place the
C-UL  CTE model parameter/hot and discarded pixels in common blocks
C-UL  by initialization routines
C-UL
C-UL        evcr03InitCteParam
C-UL        evcr03InitHotPixels
C-UL        evcr03InitDiscardedPixels
C-UL
C-UL  UL, Tue Jun 15 16:43:28 MET DST 1999
C-UL
      integer nhotpixels, ndiscardedpixels
      common/CTEPARAM/iflpar, par_cte
C-SZ
      common/PRECURSORS/iflpr, iprf, ipry, prel
      common/Y_SHIFT/y_shift
      common/Y_TIMING/y_timing
      common/timing_fac/ scale
C
      common/HOTPIXELS/nhotpixels, iflhot, nhot_nbr, ehot, ehot1
      common/DISCARDPIXELS/ndiscardedpixels, ihot
C
